package com.bcxin.risk.report.enums;

import java.util.ArrayList;
import java.util.List;

public enum FilesType {

	ZHIDAO{public String getValue(){return "0";} public String getName(){return "申办材料指导";}},
	
	GESHI{public String getValue(){return "1";} public String getName(){return "报告撰写格式";}},
	
	POLICES{public String getValue(){return "2";} public String getName(){return "报告政策法规";}};
	
	//政策法规
	
	
	
	
	public abstract String getValue();
    
    public abstract String getName();
    
    public static FilesType querySource(String value){
    		 if("0".equals(value)){return ZHIDAO;}
    	else if("1".equals(value)){return GESHI;}
    	else if("2".equals(value)){return POLICES;}
    	else{return null;}
    }
    public static List<FilesType> all(){
    	List<FilesType> source = new ArrayList<FilesType>();
    	source.add(ZHIDAO);
    	source.add(GESHI);
    	source.add(POLICES);
    	return source;
    }
	
}
